cmake_minimum_required(VERSION 3.22)

add_library(platform INTERFACE)

# Enable CMake support for ASM and C languages
enable_language(C CXX ASM)

target_include_directories(platform INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

target_link_libraries(platform INTERFACE)



